Bug 979370 - Review Request: vanityhash - Hexadecimal hash fragment creation tool
Review Request: vanityhash - Hexadecimal hash fragment creation tool
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 06:58 EDT by Petr Pisar
Modified: 2014-03-16 23:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: vanityhash-1.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
relrod: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-06-28 06:58:55 EDT
Spec URL: http://ppisar.fedorapeople.org/vanityhash/vanityhash.spec
SRPM URL: http://ppisar.fedorapeople.org/vanityhash/vanityhash-1.1-1.fc20.src.rpm
Description:
This is a tool that can discover data to be added to the end of a file to
produce a desired hexadecimal hash fragment.  It searches a message space and
runs a hashing algorithm against the original data plus the appended data to
determine if the desired hash fragment is present.  vanityhash can run
multiple parallel workers to effectively make use of multiple processors/cores/
threads, and supports multiple hash digest types (MD5, SHA-1, SHA-256, etc).

Fedora Account System Username: ppisar
Comment 1 Ricky Elrod 2013-06-30 18:29:21 EDT
Taking for review.
Comment 2 Ricky Elrod 2013-06-30 18:30:40 EDT
Looks good, just one thing:

Nuke the %check section, since you don't use it anyway.

You can do that when you import.

APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vanityhash-1.1-1.fc20.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vanityhash
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
vanityhash (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(:MODULE_COMPAT_5.16.3)
    perl(Digest)
    perl(Digest::CRC)
    perl(Digest::MD2)
    perl(Digest::MD4)
    perl(Digest::MD5)
    perl(Digest::SHA)
    perl(Getopt::Long)
    perl(IO::Handle)
    perl(IO::Select)
    perl(POSIX)
    perl(Pod::Usage)
    perl(Socket)
    perl(Time::HiRes)
    perl(strict)
    perl(warnings)



Provides
--------
vanityhash:
    vanityhash



Source checksums
----------------
http://www.finnie.org/software/vanityhash/vanityhash-1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 25a593f1dab25192e13b2ec717a9e3f8348886f3f36c22289c7e5184279a38fb
  CHECKSUM(SHA256) upstream package : 25a593f1dab25192e13b2ec717a9e3f8348886f3f36c22289c7e5184279a38fb


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 979370
Comment 3 Petr Pisar 2013-07-01 06:35:32 EDT
New Package SCM Request
=======================
Package Name: vanityhash
Short Description: Hexadecimal hash fragment creation tool
Owners: ppisar
Branches: f17 f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-07-01 08:38:35 EDT
Git done (by process-git-requests).
Comment 5 Petr Pisar 2013-07-01 09:31:34 EDT
Thank you for the review and the repository.
Comment 6 Fedora Update System 2013-07-01 09:33:00 EDT
vanityhash-1.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vanityhash-1.1-1.fc19
Comment 7 Fedora Update System 2013-07-01 09:33:31 EDT
vanityhash-1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vanityhash-1.1-1.fc18
Comment 8 Fedora Update System 2013-07-01 09:33:56 EDT
vanityhash-1.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vanityhash-1.1-1.fc17
Comment 9 Fedora Update System 2013-07-09 21:23:16 EDT
vanityhash-1.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-07-09 21:32:02 EDT
vanityhash-1.1-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-07-09 21:32:53 EDT
vanityhash-1.1-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.